Bug 124079 - Fixed name and date fields are not updated in Draw templates
Summary: Fixed name and date fields are not updated in Draw templates
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: implementationError
Depends on:
Blocks: Templates Fields
  Show dependency treegraph
 
Reported: 2019-03-14 14:17 UTC by joachim_liedtke
Modified: 2019-03-15 16:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Draw template with non-working fields (10.17 KB, application/vnd.oasis.opendocument.graphics-template)
2019-03-15 07:23 UTC, joachim_liedtke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description joachim_liedtke 2019-03-14 14:17:57 UTC
Inserting fields like author or date (both the fixed variant) will be not be updated to the current author or creation date when the template is openend. Instead the fields will show the creator of the template and the date when the template was saved the first time.
Comment 1 mulla.tasanim 2019-03-15 02:57:33 UTC
Thank you for reporting the bug.
I have inserted date and author field fixed variant and its showing current date and Creator only.

I can not reproduce the bug in

Version: 6.2.1.2 (x64)
Build ID: 7bcb35dc3024a62dea0caee87020152d1ee96e71
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US





Version: 6.3.0.0.alpha0+ (x64)
Build ID: 91cdf22b88a4f7bec243c8fb187627e766d3294c
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-03-08_00:38:10
Locale: en-US (en_US); UI-Language: en-US
Comment 2 joachim_liedtke 2019-03-15 07:23:48 UTC
Created attachment 149985 [details]
Draw template with non-working fields

It does not work even in our 6.2.1.2 version. See attached otg. When you open the template the first name have to be yours, even time must be actual time.

Version: 6.2.1.2
Build-ID: 7bcb35dc3024a62dea0caee87020152d1ee96e71
CPU-Threads: 16; BS: Windows 6.1; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded
32bit
Comment 3 Wolfgang Jäger 2019-03-15 10:30:37 UTC
Concerning a "fix" Date field contained in a .otg template I can confirm for V6.2.0.3 that it NOT is updated as it would be in Writer if a new Draw document is created based on the template. The update should be expected, however. 

Concerning Comment #1 : There probably was a misunderstanding. 
The reporter expects the "fix" fields to be updated **only** in the case that the Draw template containing them was used to create a new Draw document (as 'Untitled 1' e.g.)

Using Writer templates a "fix" date contained in the template is updated to the current date for the "fix" field in the new 'Untitled 1' document. That's reasonable. I rely on this behaviour with my letter templates e.g. An update 'On Document Creation' should also be done for a "fix" Author field if any and probably for some additional types of fields for which it is appropriate. 

(Concerning the Author field I did not get offered a "fix" variant, and the ordinary filed **was* updated as expected if the template was used by a different author. I would judge the lack of a "fix" variant of the Author field as a kind of bug requiring an enhancement.)  

Setting to NEW
Comment 4 Buovjaga 2019-03-15 16:38:17 UTC
Problem is already in 4.3.0. In 3.5.0, the topmost time is 00:00:00. Tested on Windows.